net.sf.jasperreports.components.barbecue

## Class StandardBarbecueComponent

- java.lang.Object
- - net.sf.jasperreports.components.barbecue.StandardBarbecueComponent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, BarbecueComponent, Component, ContextAwareComponent, JRChangeEventsSupport, JRCloneable

      public class StandardBarbecueComponent
      extends java.lang.Object
      implements BarbecueComponent, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: StandardBarbecueComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_APPLICATION_IDENTIFIER_EXPRESSION`
    `static java.lang.String` | `PROPERTY_BAR_HEIGTH`
    `static java.lang.String` | `PROPERTY_BAR_WIDTH`
    `static java.lang.String` | `PROPERTY_CHECKSUM_REQUIRED`
    `static java.lang.String` | `PROPERTY_CODE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DRAW_TEXT`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_ROTATION`
    `static java.lang.String` | `PROPERTY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardBarbecueComponent()`
    `StandardBarbecueComponent(BarbecueComponent barcode, JRBaseObjectFactory objectFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getApplicationIdentifierExpression()`
    `java.lang.Integer` | `getBarHeight()`
    `java.lang.Integer` | `getBarWidth()`
    `JRExpression` | `getCodeExpression()`
    `ComponentContext` | `getContext()`
    `java.lang.String` | `getEvaluationGroup()`
    `EvaluationTimeEnum` | `getEvaluationTimeValue()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `RotationEnum` | `getOwnRotation()`
    `RotationEnum` | `getRotation()`
    `java.lang.String` | `getType()`
    `boolean` | `isChecksumRequired()`
    `boolean` | `isDrawText()`
    `void` | `setApplicationIdentifierExpression(JRExpression applicationIdentifierExpression)`
    `void` | `setBarHeight(java.lang.Integer barHeight)`
    `void` | `setBarWidth(java.lang.Integer barWidth)`
    `void` | `setChecksumRequired(boolean checksumRequired)`
    `void` | `setCodeExpression(JRExpression codeExpression)`
    `void` | `setContext(ComponentContext context)`
    `void` | `setDrawText(boolean drawText)`
    `void` | `setEvaluationGroup(java.lang.String evaluationGroup)`
    `void` | `setEvaluationTimeValue(EvaluationTimeEnum evaluationTimeValue)`
    `void` | `setRotation(RotationEnum rotation)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_TYPE

          public static final java.lang.String PROPERTY_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_CODE_EXPRESSION

          public static final java.lang.String PROPERTY_CODE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_APPLICATION_IDENTIFIER_EXPRESSION

          public static final java.lang.String PROPERTY_APPLICATION_IDENTIFIER_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DRAW_TEXT

          public static final java.lang.String PROPERTY_DRAW_TEXT

      See Also:
        Constant Field Values

    - #### PROPERTY_CHECKSUM_REQUIRED

          public static final java.lang.String PROPERTY_CHECKSUM_REQUIRED

      See Also:
        Constant Field Values

    - #### PROPERTY_BAR_WIDTH

          public static final java.lang.String PROPERTY_BAR_WIDTH

      See Also:
        Constant Field Values

    - #### PROPERTY_BAR_HEIGTH

          public static final java.lang.String PROPERTY_BAR_HEIGTH

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_ROTATION

          public static final java.lang.String PROPERTY_ROTATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardBarbecueComponent

          public StandardBarbecueComponent()

    - #### StandardBarbecueComponent

          public StandardBarbecueComponent(BarbecueComponent barcode,
                                   JRBaseObjectFactory objectFactory)

  - ### Method Detail

    - #### setContext

          public void setContext(ComponentContext context)

      Specified by:
        `setContext` in interface `ContextAwareComponent`

    - #### getContext

          public ComponentContext getContext()

      Specified by:
        `getContext` in interface `ContextAwareComponent`

    - #### getCodeExpression

          public JRExpression getCodeExpression()

      Specified by:
        `getCodeExpression` in interface `BarbecueComponent`

    - #### setCodeExpression

          public void setCodeExpression(JRExpression codeExpression)

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `BarbecueComponent`

    - #### setType

          public void setType(java.lang.String type)

    - #### getApplicationIdentifierExpression

          public JRExpression getApplicationIdentifierExpression()

      Specified by:
        `getApplicationIdentifierExpression` in interface `BarbecueComponent`

    - #### setApplicationIdentifierExpression

          public void setApplicationIdentifierExpression(JRExpression applicationIdentifierExpression)

    - #### getBarWidth

          public java.lang.Integer getBarWidth()

      Specified by:
        `getBarWidth` in interface `BarbecueComponent`

    - #### setBarWidth

          public void setBarWidth(java.lang.Integer barWidth)

    - #### getBarHeight

          public java.lang.Integer getBarHeight()

      Specified by:
        `getBarHeight` in interface `BarbecueComponent`

    - #### setBarHeight

          public void setBarHeight(java.lang.Integer barHeight)

    - #### getRotation

          public RotationEnum getRotation()

      Specified by:
        `getRotation` in interface `BarbecueComponent`

    - #### getOwnRotation

          public RotationEnum getOwnRotation()

      Specified by:
        `getOwnRotation` in interface `BarbecueComponent`

    - #### setRotation

          public void setRotation(RotationEnum rotation)

    - #### isChecksumRequired

          public boolean isChecksumRequired()

      Specified by:
        `isChecksumRequired` in interface `BarbecueComponent`

    - #### setChecksumRequired

          public void setChecksumRequired(boolean checksumRequired)

    - #### isDrawText

          public boolean isDrawText()

      Specified by:
        `isDrawText` in interface `BarbecueComponent`

    - #### setDrawText

          public void setDrawText(boolean drawText)

    - #### getEvaluationTimeValue

          public EvaluationTimeEnum getEvaluationTimeValue()

      Specified by:
        `getEvaluationTimeValue` in interface `BarbecueComponent`

    - #### setEvaluationTimeValue

          public void setEvaluationTimeValue(EvaluationTimeEnum evaluationTimeValue)

    - #### getEvaluationGroup

          public java.lang.String getEvaluationGroup()

      Specified by:
        `getEvaluationGroup` in interface `BarbecueComponent`

    - #### setEvaluationGroup

          public void setEvaluationGroup(java.lang.String evaluationGroup)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com